;================================================================================
;
;DATA TYPES & SIZES
;
s_byte   =1                    ;byte
s_word   =2                    ;word (16 bits)
s_wword  =3                    ;wide word (24 bits)
s_xword  =s_wword              ;extended word (24 bits)
s_dword  =4                    ;double word (32 bits)
s_lword  =8                    ;long word (64 bits)
s_rampag =$0100                ;65xx RAM page
;
;
;	derivations...
;
s_ptr    =s_word               ;pointer
s_dptr   =s_ptr*2              ;double pointer
s_ramblk =s_rampag*16          ;RAM block
;
;
;	data type sizes in bits...
;
s_bbyte  =8                    ;byte
s_bibyte =s_bbyte              ;byte
s_bnybbl =s_bbyte/2            ;nybble
s_bword  =s_word*s_bbyte       ;word
s_bwword =s_wword*s_bbyte      ;wide word
s_bxword =s_xword*s_bbyte      ;extended word
s_bdword =s_dword*s_bbyte      ;double word
s_blword =s_lword*s_bbyte      ;long word
;
	.end
