;================================================================================
;
;	
;	The following code shows how to read the DUART configuration table &
;	program the device.
;	
;
         ldy #s_d92tab-s_word  ;DUART setup table index
;         
loop     longa                 ;16 bit accumulator & memory
         lda d92tab,y          ;get reg/parm
         shorta                ;8 bit accumulator & memory
         tax                   ;set DUART register
         xba                   ;expose parameter &...
         sta io_acia,x         ;write to DUART register...
;
;	
;	!!! WARNING  WARNING  WARNING !!!
;
;	The above instruction *WILL* malfunction if the hardware doesn't qualify
;	chip selects with the VDA & VPA MPU outputs.  A false memory bus state
;	will occur during cycle 4 of the instruction.  If VDA||VPA qualification
;	is not present, the 26C92 will be selected during that cycle, followed
;	by another selection on the next clock cycle.  The consecutive selects
;	will violate 26C92 timing & cause garbage values to be loaded in some
;	registers.  THERE IS NO WORKAROUND, other than to use VDA & VPA to qual-
;	ify chip selects, as intended by WDC.
;	
;
         dey
         dey
         bpl loop              ;next register
;
         rts
;
	.end
