;================================================================================
;
;TIA-232 DIRECT PAGE STORAGE
;
zeropage .= $00                ;set as required...
;
;	
;	ZEROPAGE is defined here as a variable, not a constant.
;	
;
e32rixga =zeropage             ;ch A RxD 'get' index
e32rixpa =e32rixga+s_byte      ;ch A RxD 'put' index
e32tixga =e32rixpa+s_byte      ;ch A TxD 'get' index
e32tixpa =e32tixga+s_byte      ;ch A TxD 'put' index
e32rixgb =e32tixpa+s_byte      ;ch B RxD 'get' index
e32rixpb =e32rixgb+s_byte      ;ch B RxD 'put' index
e32tixgb =e32rixpb+s_byte      ;ch B TxD 'get' index
e32tixpb =e32tixgb+s_byte      ;ch B TxD 'put' index
e32txst  =e32tixpb+s_byte      ;TxD status flags...
;
;	xx000000
;	||
;	|+> 0: ch B TxD enabled
;	|            1: ch B TxD disabled
;	+> 0: ch A TxD enabled
;	             1: ch A TxD disabled
;
zeropage .= e32txst+s_byte     ;start of free direct page storage
;
	.end
